## org.biojava.stats.svm.tools
Class SVM_Light

    java.lang.Object
      |
      +--org.biojava.stats.svm.tools.SVM_Light

public class SVM_Light
extends java.lang.Object

Author:
  Thomas Down

Inner Class Summary
`static class` `SVM_Light.LabelledVector`

Constructor Summary
`SVM_Light()`

Method Summary
`static java.lang.String` `firstToken(java.lang.String s)`
`static SVM_Light.LabelledVector` `parseExample(java.lang.String ex)`
`static SVMClassifierModel` `readModelFile(java.lang.String fileName)`
`static java.lang.String` `vectorToString(SparseVector v)`
`static void` `writeModelFile(SVMClassifierModel model, java.lang.String fileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVM_Light

    public SVM_Light()

Method Detail

### parseExample

    public static SVM_Light.LabelledVector parseExample(java.lang.String ex)
                                                 throws java.lang.NumberFormatException

### vectorToString

    public static java.lang.String vectorToString(SparseVector v)

### readModelFile

    public static SVMClassifierModel readModelFile(java.lang.String fileName)
                                            throws java.io.IOException

### writeModelFile

    public static void writeModelFile(SVMClassifierModel model,
                                      java.lang.String fileName)
                               throws java.io.IOException

### firstToken

    public static java.lang.String firstToken(java.lang.String s)